跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Videos

Create a video character

POST /openai/v1/videos/characters

Creates a video character from the supplied request.

要求本文

The multipart request body.

Content-Type: multipart/form-data
video OpenAI.CreateVideoCharacterBody 必要

Video file used to create a character.

name string 必要

Display name for this API character.

回覆

The request has succeeded.

主體

Content-Type: application/json
id string | null 必要
name string | null 必要
created_at integer 必要

Unix timestamp (in seconds) when the character was created.

Client error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Request

import fs from 'fs';
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const response = await client.videos.createCharacter({
  name: 'x',
  video: fs.createReadStream('path/to/file'),
});

console.log(response.id);
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
response = client.videos.create_character(
    name="x",
    video=b"Example data",
)
print(response.id)
package main

import (
    "bytes"
    "context"
    "fmt"
    "io"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    response, err := client.Videos.NewCharacter(context.TODO(), openai.VideoNewCharacterParams{
        Name:  "x",
        Video: io.Reader(bytes.NewBuffer([]byte("Example data"))),
    })
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", response.ID)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.videos.VideoCreateCharacterParams;
import com.openai.models.videos.VideoCreateCharacterResponse;
import java.io.ByteArrayInputStream;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        VideoCreateCharacterParams params = VideoCreateCharacterParams.builder()
            .name("x")
            .video(new ByteArrayInputStream("Example data".getBytes()))
            .build();
        VideoCreateCharacterResponse response = client.videos().createCharacter(params);
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

response = openai.videos.create_character(name: "x", video: StringIO.new("Example data"))

puts(response)
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026